CREATE view vv_ProductSelect
as
select case when t2.Oid IS null then t1.Oid else t2.Oid end Oid, 
       t1.Oid Products,
       t2.oid StorageComputed
from Products t1 left join StorageComputed t2 on
t1.Oid=t2.Products
where t1.GCRecord is null and t2.GCRecord is null
